Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface TaskSuccessInfo

All Superinterfaces:
  java.io.Serializable

    public interface TaskSuccessInfo

extends java.io.Serializable

Represent success info of all formats files in a task, various formats files can be contained in one task, use can get success info of every format file by this API.

Method Summary
`java.util.Hashtable` | `getPublishRecords()` return the publish record set and each element is a CompletedPublishRecord
`boolean` | `hasToExcelFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToExcelVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToFax()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToFTP()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToHtmlFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToHtmlVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToMail()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPdfFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPdfVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPostScriptFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPostScriptVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPrinter()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRsdFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRsdVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRstFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRstVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRtfFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRtfVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToSvgFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToSvgVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTextFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTextVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTiffFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTiffVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToXmlFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToXmlVersion()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isBurstingTask()` Represent the associated completed task is a bursting task or not.
`boolean` | `isToExcelFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToExcelVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToFaxSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToFTPSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToHtmlFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToHtmlVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToMailSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPdfFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPdfVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPostScriptFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPostScriptVersionSuccessfule()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPrinterSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRsdFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRsdVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRstFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRstVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRtfFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRtfVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToSvgFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToSvgVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTextFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTextVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTiffFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTiffVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToXmlFileSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToXmlVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

Method Detail

### hasToPrinter

    boolean hasToPrinter()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If "Publish to printer" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToPrinterSuccessful

    boolean isToPrinterSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If publish to printer successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToMail

    boolean hasToMail()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If "Send to mail" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToMailSuccessful

    boolean isToMailSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If send to mail successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToFTP

    boolean hasToFTP()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If "Publish to FTP" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToFTPSuccessful

    boolean isToFTPSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If "publish to FTP" successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToFax

    boolean hasToFax()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If "Send to fax" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToFaxSuccessful

    boolean isToFaxSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If send to fax successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToVersion

    boolean hasToVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If any format exporting of publish to version system is included in this task.

  Returns:
    true if included, otherwise false.

### hasToRstVersion

    boolean hasToRstVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to .rst file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToRstVersionSuccessful

    boolean isToRstVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to .rst file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToHtmlVersion

    boolean hasToHtmlVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to HTML file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToHtmlVersionSuccessful

    boolean isToHtmlVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to HTML file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToPdfVersion

    boolean hasToPdfVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to pdf file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToPdfVersionSuccessful

    boolean isToPdfVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to pdf file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToExcelVersion

    boolean hasToExcelVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to excel file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToExcelVersionSuccessful

    boolean isToExcelVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to excel file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToXmlVersion

    boolean hasToXmlVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to XML file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToXmlVersionSuccessful

    boolean isToXmlVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to XML file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToPostScriptVersion

    boolean hasToPostScriptVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to Post Script file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToPostScriptVersionSuccessfule

    boolean isToPostScriptVersionSuccessfule()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to Post Script file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToTextVersion

    boolean hasToTextVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to plain text file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToTextVersionSuccessful

    boolean isToTextVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to plain text file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToRtfVersion

    boolean hasToRtfVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to rtf file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.

### isToRtfVersionSuccessful

    boolean isToRtfVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to rtf file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.

### hasToTiffVersion

    boolean hasToTiffVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to tiff file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 6.1

### isToTiffVersionSuccessful

    boolean isToTiffVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to tiff file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.
  Since:
    version 6.1

### hasToFile

    boolean hasToFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If any format exporting of publish to file system is included in this task.

  Returns:
    true if included, otherwise false.

### hasToRstFile

    boolean hasToRstFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to .rst file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToRstFileSuccessful

    boolean isToRstFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to .rst file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToHtmlFile

    boolean hasToHtmlFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to HTML file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToHtmlFileSuccessful

    boolean isToHtmlFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to HTML file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToPdfFile

    boolean hasToPdfFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to pdf file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToPdfFileSuccessful

    boolean isToPdfFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to pdf file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToExcelFile

    boolean hasToExcelFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to excel file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToExcelFileSuccessful

    boolean isToExcelFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to excel file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToXmlFile

    boolean hasToXmlFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to XML file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToXmlFileSuccessful

    boolean isToXmlFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to XML file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToPostScriptFile

    boolean hasToPostScriptFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to Post Script file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToPostScriptFileSuccessful

    boolean isToPostScriptFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to Post Script file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToTextFile

    boolean hasToTextFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to plain text file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToTextFileSuccessful

    boolean isToTextFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to plain text file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToRtfFile

    boolean hasToRtfFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to rtf file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.

### isToRtfFileSuccessful

    boolean isToRtfFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to rtf file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.

### hasToTiffFile

    boolean hasToTiffFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to tiff file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToTiffFileSuccessful

    boolean isToTiffFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to tiff file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.
  Since:
    version 7

### hasToSvgFile

    boolean hasToSvgFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to svg file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToSvgFileSuccessful

    boolean isToSvgFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to svg file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.
  Since:
    version 7

### hasToSvgVersion

    boolean hasToSvgVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to svg file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToSvgVersionSuccessful

    boolean isToSvgVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to svg file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.
  Since:
    version 7

### hasToRsdVersion

    boolean hasToRsdVersion()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to .rsd file is selected when publish to version system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToRsdVersionSuccessful

    boolean isToRsdVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to .rsd file successfully when publish to version system.

  Returns:
    true if export successfully, otherwise false.
  Since:
    version 7

### hasToRsdFile

    boolean hasToRsdFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to rsd file is selected when publish to file system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7 SP2

### isToRsdFileSuccessful

    boolean isToRsdFileSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  If export to rsd file successfully when publish to file system.

  Returns:
    true if export successfully, otherwise false.
  Since:
    version 7 SP2

### getPublishRecords

    java.util.Hashtable getPublishRecords()

  return the publish record set and each element is a CompletedPublishRecord

  Returns:
    Return a hashtable, whose key is sheet and value is vector. The vector is a list result set of publish record, and each emlement is a CompletedPublishRecord.
  Since:
    version 8

### isBurstingTask

    boolean isBurstingTask()

  Represent the associated completed task is a bursting task or not.

  Returns:
    true if the task is a bursting task, otherwise return false.
  See Also:
    `8.2`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD